<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.csreport.mapper.RStatDataInharmVDMapper">
  <resultMap id="BaseResultMap" type="com.njcn.csreport.pojo.po.RStatDataInharmVD">
    <!--@mbg.generated-->
    <!--@Table r_stat_data_inharm_v_d-->
    <result column="time" jdbcType="TIMESTAMP" property="time" />
    <result column="line_id" jdbcType="VARCHAR" property="lineId" />
    <result column="phasic_type" jdbcType="VARCHAR" property="phasicType" />
    <result column="value_type" jdbcType="VARCHAR" property="valueType" />
    <result column="quality_flag" jdbcType="INTEGER" property="qualityFlag" />
    <result column="v_1" jdbcType="DECIMAL" property="v1" />
    <result column="v_2" jdbcType="DECIMAL" property="v2" />
    <result column="v_3" jdbcType="DECIMAL" property="v3" />
    <result column="v_4" jdbcType="DECIMAL" property="v4" />
    <result column="v_5" jdbcType="DECIMAL" property="v5" />
    <result column="v_6" jdbcType="DECIMAL" property="v6" />
    <result column="v_7" jdbcType="DECIMAL" property="v7" />
    <result column="v_8" jdbcType="DECIMAL" property="v8" />
    <result column="v_9" jdbcType="DECIMAL" property="v9" />
    <result column="v_10" jdbcType="DECIMAL" property="v10" />
    <result column="v_11" jdbcType="DECIMAL" property="v11" />
    <result column="v_12" jdbcType="DECIMAL" property="v12" />
    <result column="v_13" jdbcType="DECIMAL" property="v13" />
    <result column="v_14" jdbcType="DECIMAL" property="v14" />
    <result column="v_15" jdbcType="DECIMAL" property="v15" />
    <result column="v_16" jdbcType="DECIMAL" property="v16" />
    <result column="v_17" jdbcType="DECIMAL" property="v17" />
    <result column="v_18" jdbcType="DECIMAL" property="v18" />
    <result column="v_19" jdbcType="DECIMAL" property="v19" />
    <result column="v_20" jdbcType="DECIMAL" property="v20" />
    <result column="v_21" jdbcType="DECIMAL" property="v21" />
    <result column="v_22" jdbcType="DECIMAL" property="v22" />
    <result column="v_23" jdbcType="DECIMAL" property="v23" />
    <result column="v_24" jdbcType="DECIMAL" property="v24" />
    <result column="v_25" jdbcType="DECIMAL" property="v25" />
    <result column="v_26" jdbcType="DECIMAL" property="v26" />
    <result column="v_27" jdbcType="DECIMAL" property="v27" />
    <result column="v_28" jdbcType="DECIMAL" property="v28" />
    <result column="v_29" jdbcType="DECIMAL" property="v29" />
    <result column="v_30" jdbcType="DECIMAL" property="v30" />
    <result column="v_31" jdbcType="DECIMAL" property="v31" />
    <result column="v_32" jdbcType="DECIMAL" property="v32" />
    <result column="v_33" jdbcType="DECIMAL" property="v33" />
    <result column="v_34" jdbcType="DECIMAL" property="v34" />
    <result column="v_35" jdbcType="DECIMAL" property="v35" />
    <result column="v_36" jdbcType="DECIMAL" property="v36" />
    <result column="v_37" jdbcType="DECIMAL" property="v37" />
    <result column="v_38" jdbcType="DECIMAL" property="v38" />
    <result column="v_39" jdbcType="DECIMAL" property="v39" />
    <result column="v_40" jdbcType="DECIMAL" property="v40" />
    <result column="v_41" jdbcType="DECIMAL" property="v41" />
    <result column="v_42" jdbcType="DECIMAL" property="v42" />
    <result column="v_43" jdbcType="DECIMAL" property="v43" />
    <result column="v_44" jdbcType="DECIMAL" property="v44" />
    <result column="v_45" jdbcType="DECIMAL" property="v45" />
    <result column="v_46" jdbcType="DECIMAL" property="v46" />
    <result column="v_47" jdbcType="DECIMAL" property="v47" />
    <result column="v_48" jdbcType="DECIMAL" property="v48" />
    <result column="v_49" jdbcType="DECIMAL" property="v49" />
    <result column="v_50" jdbcType="DECIMAL" property="v50" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    `time`, line_id, phasic_type, value_type, quality_flag, v_1, v_2, v_3, v_4, v_5, 
    v_6, v_7, v_8, v_9, v_10, v_11, v_12, v_13, v_14, v_15, v_16, v_17, v_18, v_19, v_20, 
    v_21, v_22, v_23, v_24, v_25, v_26, v_27, v_28, v_29, v_30, v_31, v_32, v_33, v_34, 
    v_35, v_36, v_37, v_38, v_39, v_40, v_41, v_42, v_43, v_44, v_45, v_46, v_47, v_48, 
    v_49, v_50
  </sql>
</mapper>